6

When I try to use CUDA with Blender 2.82.a+dfsg-1 I get the following error:

Compiling CUDA kernel ...
"nvcc" -arch=sm_86 --cubin "/usr/share/blender/scripts/addons/cycles/source/kernel/kernels/cuda/kernel.cu" -o "/home/bram/.cache/cycles/kernels/cycles_kernel_sm86_673C3180FADE8EDF0E80E61994C4DC92.cubin" -m64 --ptxas-options="-v" --use_fast_math -DNVCC -I"/usr/share/blender/scripts/addons/cycles/source" 
nvcc fatal   : Value 'sm_86' is not defined for option 'gpu-architecture'
CUDA kernel compilation failed, see console for details.

CUDA 11.1 is installed on my system, as is reported by nvidia-smi

$ nvidia-smi 
Sun Dec 20 19:34:48 2020       
+-----------------------------------------------------------------------------+
| NVIDIA-SMI 455.38       Driver Version: 455.38       CUDA Version: 11.1     |
|-------------------------------+----------------------+----------------------+
| GPU  Name        Persistence-M| Bus-Id        Disp.A | Volatile Uncorr. ECC |
| Fan  Temp  Perf  Pwr:Usage/Cap|         Memory-Usage | GPU-Util  Compute M. |
|                               |                      |               MIG M. |
|===============================+======================+======================|
|   0  GeForce RTX 3070    Off  | 00000000:17:00.0  On |                  N/A |
|  0%   55C    P8    19W / 240W |    610MiB /  7979MiB |     12%      Default |
|                               |                      |                  N/A |
+-------------------------------+----------------------+----------------------+
                                                                               
+-----------------------------------------------------------------------------+
| Processes:                                                                  |
|  GPU   GI   CI        PID   Type   Process name                  GPU Memory |
|        ID   ID                                                   Usage      |
|=============================================================================|
|    0   N/A  N/A       968      G   /usr/lib/xorg/Xorg                 59MiB |
|    0   N/A  N/A      1598      G   /usr/lib/xorg/Xorg                247MiB |
|    0   N/A  N/A      1749      G   /usr/bin/gnome-shell               74MiB |
|    0   N/A  N/A      3855      G   ...e/Steam/ubuntu12_32/steam       17MiB |
|    0   N/A  N/A      3866      G   ./steamwebhelper                    3MiB |
|    0   N/A  N/A      3878      G   ...43331726878339,131072 --d       49MiB |
|    0   N/A  N/A      5384      G   /usr/lib/firefox/firefox            3MiB |
|    0   N/A  N/A      5463      G   /usr/lib/firefox/firefox            3MiB |
|    0   N/A  N/A      5686      G   nvidia-settings                     3MiB |
|    0   N/A  N/A      9586      G   /usr/lib/firefox/firefox            3MiB |
|    0   N/A  N/A      9642      G   blender                           120MiB |
|    0   N/A  N/A      9988      G   /usr/lib/firefox/firefox            3MiB |
+-----------------------------------------------------------------------------+

How can I force blender to use a different shader-model? because apparently, it does not like sm_86.

1
  • seeing same problem on tensorflow1-gpu+ 3090 rtx
    – johndpope
    Commented Dec 25, 2020 at 3:28

2 Answers 2

8

Check the allowed values for gpu-architecture with

nvcc --help

For my CUDA 10.1 install, I get:

Allowed values for this option:  'compute_30','compute_32','compute_35',
        'compute_37','compute_50','compute_52','compute_53','compute_60','compute_61',
        'compute_62','compute_70','compute_72','compute_75','sm_30','sm_32','sm_35',
        'sm_37','sm_50','sm_52','sm_53','sm_60','sm_61','sm_62','sm_70','sm_72',
        'sm_75'.   

So sm_86 is not an allowed value.

1

The CUDA version that command nvidia-smi shows is not your current actual CUDA version but your maximum CUDA version.

The actual CUDA version can be show by command nvcc -V or nvcc --version, may be your actual CUDA version is lower than 11.1, so you need to update it to 11.1 or later. You can search for special update process tutorial, here are CUDA Toolkit Archive

For me, command nvidia-smi shows 12.2, while command nvcc -V shows 11.5, and the fault I met is Value 'sm_89' is not defined for option 'gpu-architecture', after I update my CUDA version to 12.2, it doesn't show the fault.

Maybe it can help you.

You must log in to answer this question.

Not the answer you're looking for? Browse other questions tagged .